import { buildApiUrl } from '../../../../core/config/api-url.util';


export const CURRENCY_ENDPOINTS = {
    dataTable: buildApiUrl(
        'masterAdmin',
        '/v1/currencies/datatable'
    ),

    create: buildApiUrl(
        'masterAdmin',
        '/v1/currencies'
    ),

    getById: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/currencies/${encodeURIComponent(id)}`
        ),

    update: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/currencies/${encodeURIComponent(id)}`
        ),

    delete: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/currencies/${encodeURIComponent(id)}`
        ),

    changeStatus: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/currencies/${encodeURIComponent(id)}/status`
        ),

    autocomplete:
        buildApiUrl(
            'masterAdmin',
            '/v1/currencies/autocomplete'
        ),
} as const;
